package com.pcloud.book.applet.dao;

import com.pcloud.book.applet.entity.AppletRecordStatisReport;
import com.pcloud.common.core.dao.BaseDao;

import java.util.Date;
import java.util.List;

/**
 * 个人阅读报告总结(AppletRecordStatisReport)表数据库访问层
 *
 * @author makejava
 * @since 2020-12-11 16:22:46
 */
public interface AppletRecordStatisReportDao extends BaseDao<AppletRecordStatisReport> {

    AppletRecordStatisReport getByWechatUserId(Long wechatUserId, Date beginDate);

    List<AppletRecordStatisReport> getUserHistoryReport(Long wechatUserId, List<Date> allMonday);

    void insertOrUpdate(List<AppletRecordStatisReport> historyReportList);

    AppletRecordStatisReport getFirstStatisReport(Long wechatUserId);
}
